Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04771 Speed Minor Always Apr 22, 2012, 22:51 Apr 28, 2012, 14:12
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver hyprduel.cpp
Version 0.145u7 Fixed in Version 0.145u8 Build Normal
Summary 04771: magerror: Massive drop in performance at Warning Screen and onwards
Description The game easily runs 5-10 times below potential once you hit the "warning" screen.
Steps To Reproduce
Additional Information Regression tests point to r15988
Flags
Regression Version 0.145u7
Affected Sets / Systems magerror
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.08459
NekoEd
Senior Tester
Apr 23, 2012, 14:15
edited on: Apr 23, 2012, 14:18
I am unable to reproduce this as reported, the game will go past the warning screen and run fine. However, the game will hang under the following conditions:

> Watching one cycle of attract mode (hangs at the end)
> Inserting a coin during attract mode
> Inserting a coin at the title screen and pressing start.

There is also no sound whatsoever.

SDLMAME64/Linux 0.145u7
User avatar
No.08460
Haze
Senior Tester
Apr 24, 2012, 17:36
the sub cpu Memory map has been messed up by the code churn

static ADDRESS_MAP_START( magerror_map2, AS_PROGRAM, 16, hyprduel_state )
AM_RANGE(0x000000, 0x003fff) AM_RAM AM_SHARE("sharedram1") /* shadow ($c00000 - $c03fff : vector) */
AM_RANGE(0x004000, 0x007fff) AM_READONLY AM_WRITENOP AM_SHARE("sharedram3") /* shadow ($fe4000 - $fe7fff : read only) */
AM_RANGE(0x400000, 0x400003) AM_NOP
AM_RANGE(0x800000, 0x800003) AM_READNOP AM_DEVWRITE8_LEGACY("ymsnd", ym2413_w, 0x00ff)
AM_RANGE(0x800004, 0x800005) AM_DEVREADWRITE8("oki", okim6295_device, read, write, 0x00ff)
AM_RANGE(0xc00000, 0xc1ffff) AM_RAM AM_SHARE("sharedram1")
AM_RANGE(0xfe0000, 0xfe3fff) AM_RAM AM_SHARE("share2")
AM_RANGE(0xfe4000, 0xffffff) AM_RAM AM_SHARE("sharedram3")
ADDRESS_MAP_END
User avatar
No.08469
moa
Tester
Apr 28, 2012, 08:14
edited on: Apr 28, 2012, 08:17
related with http://mametesters.org/view.php?id=3201 ?
User avatar
No.08470
Haze
Senior Tester
Apr 28, 2012, 14:12
no. that slowdown is caused by partial updates / tight sync being required.